%define version 0.1.0
%define release 6
%define name smeserver-clamav-unofficial-sigs


Summary:Unofficial ClamAV signature integration
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: smeserver-devtools

Requires: clamav-unofficial-sigs
Requires: smeserver-clamav

%description
Configure unofficial ClamAV signatures on SME Server

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.1.0-6.sme
- Fix e-smith references in smeserver-clamav-unofficial-sigs [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.1.0-5.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sat Jul 30 2022 Brian Read <brianr@bjsystems.co.uk> 0.1.0-4.sme
- Re-build and link to latest devtools [SME: 11997]

* Mon Jun 13 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.0-3.sme
- migrate script [SME: 11597]
  fix missing urlhaus folder

* Sun Jun 12 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.0-2.sme
- import to SME10 [SME: 11597]
  rewrite the configuraiton using os.conf
  add event on installation
  systemd compatible
  about backup ready, need comment out and new dep

* Wed Jun 10 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1
- initial release

%prep
%setup -q -n %{name}-%{version}
rm -rf root/etc/e-smith/templates/etc/clamav-unofficial-sigs/clamav-unofficial-sigs.conf

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

